/* Generated by convfnt.exe*/
#include "device.h"

/* Windows Verdana 20 Font */
/* Originated from: "Verdana", Height 20, Width 0, Style "normal" */

#define FONT_OFFSET_TYPE typeof(*(((MWCFONT*)0)->offset))

static const MWIMAGEBITS winVerdana20_bits[] = {

/* Character * (0x2a):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |     *     |
   |  *  *  *  |
   |   * * *   |
   |    ***    |
   |    ***    |
   |   * * *   |
   |  *  *  *  |
   |     *     |
   |           |
   |           |
   |           |
   |           |
   |           |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0400,
0x2480,
0x1500,
0x0e00,
0x0e00,
0x1500,
0x2480,
0x0400,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,

/* Character + (0x2b):
   ht=20, width=14
   +--------------+
   |              |
   |              |
   |              |
   |              |
   |              |
   |              |

   |      *       |
   |      *       |
   |      *       |
   |      *       |
   |      *       |
   | ***********  |
   |      *       |
   |      *       |
   |      *       |
   |      *       |
   |      *       |
   |              |
   |              |
   |              |
   +--------------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0200,
0x0200,
0x0200,
0x0200,
0x0200,
0x7ff0,
0x0200,
0x0200,
0x0200,
0x0200,
0x0200,
0x0000,
0x0000,
0x0000,

/* Character , (0x2c):
   ht=20, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |  *** |
   |  **  |
   |  **  |
   | **   |
   | **   |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3800,
0x3000,
0x3000,
0x6000,
0x6000,

/* Character - (0x2d):
   ht=20, width=8
   +--------+
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   | *****  |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   +--------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x7c00,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,

/* Character . (0x2e):
   ht=20, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |      |
   |      |
   |      |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3000,

0x3000,
0x0000,
0x0000,
0x0000,

/* Character / (0x2f):
   ht=20, width=8
   +--------+
   |        |
   |        |
   |        |
   |        |
   |     ** |
   |     ** |
   |    **  |
   |    **  |
   |    **  |
   |   **   |
   |   **   |
   |   **   |
   |  **    |
   |  **    |
   |  **    |
   | **     |
   | **     |
   | **     |
   |**      |
   |**      |
   +--------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0600,
0x0600,
0x0c00,
0x0c00,
0x0c00,
0x1800,
0x1800,
0x1800,
0x3000,
0x3000,
0x3000,
0x6000,
0x6000,
0x6000,
0xc000,
0xc000,

/* Character 0 (0x30):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |   *****   |
   |  **   **  |
   |  *     *  |
   | **     ** |
   | **     ** |
   | **     ** |
   | **     ** |
   | **     ** |
   | **     ** |
   |  *     *  |
   |  **   **  |
   |   *****   |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x1f00,
0x3180,
0x2080,
0x60c0,
0x60c0,
0x60c0,
0x60c0,
0x60c0,
0x60c0,
0x2080,
0x3180,
0x1f00,
0x0000,
0x0000,
0x0000,

/* Character 1 (0x31):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |     **    |
   |     **    |
   |  *****    |
   |     **    |
   |     **    |
   |     **    |
   |     **    |
   |     **    |
   |     **    |
   |     **    |
   |     **    |
   |  ******** |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0600,
0x0600,
0x3e00,
0x0600,
0x0600,
0x0600,
0x0600,
0x0600,
0x0600,
0x0600,
0x0600,
0x3fc0,
0x0000,
0x0000,
0x0000,

/* Character 2 (0x32):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |  *****    |
   | **   **   |
   | *     **  |
   |       **  |
   |       **  |
   |      **   |
   |     ***   |
   |    ***    |
   |   ***     |
   |  ***      |
   | **        |
   | ********* |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3e00,
0x6300,
0x4180,
0x0180,
0x0180,
0x0300,
0x0700,
0x0e00,
0x1c00,
0x3800,
0x6000,
0x7fc0,
0x0000,
0x0000,
0x0000,

/* Character 3 (0x33):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |  ******   |
   | **    *** |
   | *      ** |
   |        ** |
   |       **  |
   |    ***    |
   |       **  |
   |        ** |
   |        ** |
   | *      ** |
   | **    **  |
   |  ******   |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3f00,
0x61c0,
0x40c0,
0x00c0,
0x0180,
0x0e00,
0x0180,
0x00c0,
0x00c0,
0x40c0,
0x6180,
0x3f00,
0x0000,
0x0000,
0x0000,

/* Character 4 (0x34):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |       **  |
   |      ***  |
   |     * **  |
   |    *  **  |
   |   **  **  |
   |  **   **  |
   | **    **  |
   | *     **  |
   | **********|
   |       **  |
   |       **  |
   |       **  |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,

0x0180,
0x0380,
0x0580,
0x0980,
0x1980,
0x3180,
0x6180,
0x4180,
0x7fe0,
0x0180,
0x0180,
0x0180,
0x0000,
0x0000,
0x0000,

/* Character 5 (0x35):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |   ******* |
   |   **      |
   |   **      |
   |   **      |
   |   *****   |
   |       **  |
   |        ** |
   |        ** |
   |        ** |
   |        ** |
   |  *    **  |
   |  ******   |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x1fc0,
0x1800,
0x1800,
0x1800,
0x1f00,
0x0180,
0x00c0,
0x00c0,
0x00c0,
0x00c0,
0x2180,
0x3f00,
0x0000,
0x0000,
0x0000,

/* Character 6 (0x36):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |     ****  |
   |   **      |
   |  **       |
   |  *        |
   | ** ****   |
   | ***   **  |
   | **     ** |
   | **     ** |
   | **     ** |
   |  *     ** |
   |  **   **  |
   |   *****   |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0780,
0x1800,
0x3000,
0x2000,
0x6f00,
0x7180,
0x60c0,
0x60c0,
0x60c0,
0x20c0,
0x3180,
0x1f00,
0x0000,
0x0000,
0x0000,

/* Character 7 (0x37):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   | ********  |
   |       **  |
   |      **   |
   |      **   |
   |     **    |
   |     **    |
   |    ***    |
   |    **     |
   |    **     |
   |   **      |
   |   **      |
   |  **       |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x7f80,
0x0180,
0x0300,
0x0300,
0x0600,
0x0600,
0x0e00,
0x0c00,
0x0c00,
0x1800,
0x1800,
0x3000,
0x0000,
0x0000,
0x0000,

/* Character 8 (0x38):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |   *****   |
   |  **   **  |
   | **     ** |
   | **     ** |
   |  **   **  |
   |   *****   |
   |  **  ***  |
   | **     ** |
   | **     ** |
   | **     ** |
   |  **   **  |
   |   *****   |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x1f00,
0x3180,
0x60c0,
0x60c0,
0x3180,
0x1f00,
0x3380,
0x60c0,
0x60c0,
0x60c0,
0x3180,
0x1f00,
0x0000,
0x0000,
0x0000,

/* Character 9 (0x39):
   ht=20, width=11
   +-----------+
   |           |
   |           |
   |           |
   |           |
   |           |
   |   *****   |
   |  **   **  |
   | **     ** |
   | **     ** |
   | **     ** |
   | **     ** |
   |  **   *** |
   |   **** ** |
   |        *  |
   |       **  |
   |      **   |
   |  ****     |
   |           |
   |           |
   |           |
   +-----------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x1f00,
0x3180,
0x60c0,
0x60c0,
0x60c0,
0x60c0,
0x31c0,
0x1ec0,
0x0080,
0x0180,
0x0300,
0x3c00,
0x0000,
0x0000,
0x0000,

/* Character : (0x3a):
   ht=20, width=8
   +--------+
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |   **   |
   |   **   |
   |        |
   |        |
   |        |
   |        |
   |        |
   |   **   |
   |   **   |
   |        |

   |        |
   |        |
   +--------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x1800,
0x1800,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x1800,
0x1800,
0x0000,
0x0000,
0x0000,

};

/* Character->glyph data. */
static const FONT_OFFSET_TYPE winVerdana20_offset[] = {
  0,	 /* * (0x2a) */
  20,	 /* + (0x2b) */
  40,	 /* , (0x2c) */
  60,	 /* - (0x2d) */
  80,	 /* . (0x2e) */
  100,	 /* / (0x2f) */
  120,	 /* 0 (0x30) */
  140,	 /* 1 (0x31) */
  160,	 /* 2 (0x32) */
  180,	 /* 3 (0x33) */
  200,	 /* 4 (0x34) */
  220,	 /* 5 (0x35) */
  240,	 /* 6 (0x36) */
  260,	 /* 7 (0x37) */
  280,	 /* 8 (0x38) */
  300,	 /* 9 (0x39) */
  320,	 /* : (0x3a) */
};

/* Character width data. */
static const unsigned char winVerdana20_width[] = {
  11,	 /* * (0x2a) */
  14,	 /* + (0x2b) */
  6,	 /* , (0x2c) */
  8,	 /* - (0x2d) */
  6,	 /* . (0x2e) */
  8,	 /* / (0x2f) */
  11,	 /* 0 (0x30) */
  11,	 /* 1 (0x31) */
  11,	 /* 2 (0x32) */
  11,	 /* 3 (0x33) */
  11,	 /* 4 (0x34) */
  11,	 /* 5 (0x35) */
  11,	 /* 6 (0x36) */
  11,	 /* 7 (0x37) */
  11,	 /* 8 (0x38) */
  11,	 /* 9 (0x39) */
  8,	 /* : (0x3a) */
};

/* Exported structure definition. */
MWCFONT font_winVerdana20 = {
	"winVerdana20",
	14,
	20,
	17,
	42,
	17,
	(MWIMAGEBITS*)    winVerdana20_bits,
	(FONT_OFFSET_TYPE *) winVerdana20_offset,
	(unsigned char*)  winVerdana20_width,
};
